package domain


type AlibabaRetailMarketingItempoolActivityQueryLimitDTO struct {
    /*
        活动总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        每日总限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        用户总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        用户每日限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

    /*
        每单限购     */
    OrderLimitCnt  *int64 `json:"order_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryLimitDTO) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityQueryLimitDTO {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLimitDTO) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityQueryLimitDTO {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLimitDTO) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityQueryLimitDTO {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLimitDTO) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityQueryLimitDTO {
    s.UserDailyLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryLimitDTO) SetOrderLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityQueryLimitDTO {
    s.OrderLimitCnt = &v
    return s
}
